## org.eclipse.emf.cdo.view
Class ManagedContainerViewProvider

    java.lang.Object
      org.eclipse.emf.cdo.view.AbstractCDOViewProvider
          org.eclipse.emf.cdo.view.ManagedContainerViewProvider

All Implemented Interfaces:
  CDOViewProvider

    public abstract class ManagedContainerViewProvider

extends AbstractCDOViewProvider

Base class for `ManagedContainer` based `CDOViewProvider`

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider
`DEFAULT_PRIORITY`

Constructor Summary
`ManagedContainerViewProvider(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String regex, int priority)`

Method Summary
`protected org.eclipse.net4j.util.container.IManagedContainer` `getContainer()`
`int` `getPriority()` Returns the priority of this provider.

Methods inherited from class org.eclipse.emf.cdo.view.AbstractCDOViewProvider
`getRegex, matchesRegex, setPriority, setRegex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider
`getView`

Constructor Detail

### ManagedContainerViewProvider

    public ManagedContainerViewProvider(org.eclipse.net4j.util.container.IManagedContainer container,
                                        java.lang.String regex,
                                        int priority)

Method Detail

### getContainer

    protected org.eclipse.net4j.util.container.IManagedContainer getContainer()

### getPriority

    public int getPriority()

  Description copied from interface: `CDOViewProvider`
  Returns the priority of this provider. Usually used to choose between several `CDOViewProvider` that match the same repository URI.

  Specified by:
    `getPriority` in interface `CDOViewProvider`
  Overrides:
    `getPriority` in class `AbstractCDOViewProvider`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.